Bug 1571342 - Booting Basic Video Driver: autologin doesn't work
Summary: Booting Basic Video Driver: autologin doesn't work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 14:52 UTC by Alessio
Modified: 2020-05-26 15:22 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:22:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Alessio 2018-04-24 14:52:53 UTC
Booting in Basic Video Driver the Workstation Live image (on a virtual machine and via USB on a macbook) the login window appears instead of autologin.

However, clicking on "Live System User" the desktop appears as wekk as the Welcome screen.

In addition, moving forward in the installation progress, it is required to create the root password and a user, that should be disabled due to the intent to reduce redundancy.

Comment 1 Adam Williamson 2018-04-24 15:10:12 UTC
"In addition, moving forward in the installation progress, it is required to create the root password and a user, that should be disabled due to the intent to reduce redundancy."

Did you test an official nightly image (if so which one) or a self-created image?

"Booting in Basic Video Driver the Workstation Live image (on a virtual machine and via USB on a macbook) the login window appears instead of autologin."

This has been around for quite a long time, I think. I've noticed it before. I thought I'd filed a bug on it, but can't find it. Can you check if F27 is the same for you?

Comment 2 Alessio 2018-04-24 15:20:44 UTC
(In reply to Adam Williamson from comment #1)
> "In addition, moving forward in the installation progress, it is required to
> create the root password and a user, that should be disabled due to the
> intent to reduce redundancy."
> 
> Did you test an official nightly image (if so which one) or a self-created
> image?

Official nightly 20180421.n.1
Btw, this happens only on the virtual machine (I know, it is pointless to start with basic video driver in a VM). Actually, on bare metal I'm not asked to create a user nor the root password.
So I think that this is a non existent problem

> "Booting in Basic Video Driver the Workstation Live image (on a virtual
> machine and via USB on a macbook) the login window appears instead of
> autologin."
> 
> This has been around for quite a long time, I think. I've noticed it before.
> I thought I'd filed a bug on it, but can't find it. Can you check if F27 is
> the same for you?

Yes. Also on F27 the login windows appears. So there is not a regression, right?

Comment 3 Adam Williamson 2018-04-24 16:26:19 UTC
Right. It's a bug, but not a new one, or a blocker.

The spoke thing is weird - that's controlled by the presence or absence of a file. I can't see why being in a VM or using a different video driver would matter. Is it reproducible? Are the spokes present every time you run the live installer in a VM with basic graphics, but not present otherwise?

Comment 4 Alessio 2018-04-24 18:49:31 UTC
(In reply to Adam Williamson from comment #3)
> The spoke thing is weird - that's controlled by the presence or absence of a
> file. I can't see why being in a VM or using a different video driver would
> matter. Is it reproducible? Are the spokes present every time you run the
> live installer in a VM with basic graphics, but not present otherwise?

No. I'm unable to reproduce it, in any way. I don't know what the hell did I do :-) even if it happened more than twice this afternoon.

So. Never mind this report.

Comment 5 Vendula Poncova 2018-04-25 11:14:21 UTC
Closing based on the comment #4.

Comment 6 Adam Williamson 2018-04-25 15:26:13 UTC
There were two bugs reported here, so that was a bit premature. The autologin-not-working one is a real bug, and I can't find any other reports of it any more, though I'm almost sure I filed one.

My vague recollection is that the reason for this has something to do with the HW accel support detection code, but IMBW.

Comment 7 Ben Cotton 2019-05-02 21:54:08 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Adam Williamson 2019-05-21 21:52:27 UTC
This is still the case on F30.

Comment 9 Ben Cotton 2020-04-30 21:57:53 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2020-05-26 15:22:47 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.